#
# spec file for package gnuboy (Version 1.0.1)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  SDL SDL-devel alsa audiofile esound kdelibs-artsd svgalib xf86
# usedforbuild    SDL SDL-devel aaa_base aaa_dir alsa audiofile autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs esound file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gppshare grep groff gzip kbd kdelibs-artsd less libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace svgalib syslogd sysvinit texinfo textutils timezone unzip util-linux vim xdevel xf86 xshared

Name:         gnuboy
Copyright:    GPL
Group:        Applications/Emulators
#Requires:     xforms
Autoreqprov:  on
Version:      1.0.1
Release:      109
Summary:      Game Boy Color emulator
Source: gnuboy-%{version}.tar.bz2
#Patch:  gnuboy-%{version}.dif

%description
gnuboy emulates the Color GameBoy handheld console in portable C, with
interfaces for X11, Linux fbcon and svgalib, SDL, DOS, and Windows, with
other ports planned in the future. Compatibility with ROMs tested is around
99 percent, and all major hardware features except SGB extensions are
supported. With the optional optimized i386 assembly code, gnuboy can run at
the full 60 FPS even on Pentium/75s and below.

Authors:
--------
    Gilgamesh <gnuboy@starfox.org>
    Laguna
    Damian M Gryski
    Ralf Hoffmann
    David Lau
    Mattias Wadman
    Matthew Conte
    Markus F.X.J. Oberhumer
    Dave Kiddell
    Magnus Damm

SuSE series: emu

%prep
%setup
#%patch

%build
CFLAGS="$RPM_OPT_FLAGS" ./configure --prefix=/usr \
%ifarch i386
	--enable-asm --enable-optimize=full --disable-arch
%else
	--enable-optimize=full --disable-arch
%endif
make

%install
make install
mv -f /usr/bin/xgnuboy /usr/bin/sdlgnuboy /usr/X11R6/bin

%files
%doc COPYING INSTALL README docs/*
/usr/X11R6/bin/sdlgnuboy
/usr/X11R6/bin/xgnuboy
/usr/bin/fbgnuboy
%ifarch i386 alpha
/usr/bin/sgnuboy
%endif

%changelog -n gnuboy
* Wed Aug 08 2001 - ro@suse.de
- changed neededforbuild <kdelibs kdelibs-devel> to <kdelibs-artsd>
* Wed Aug 08 2001 - ro@suse.de
- changed neededforbuild <sdl> to <SDL>
- changed neededforbuild <sdl-devel> to <SDL-devel>
* Tue Jul 17 2001 - uli@suse.de
- don't optimize for build host
* Wed Jul 11 2001 - uli@suse.de
- update -> 1.0.1
* Mon Jul 02 2001 - uli@suse.de
- update -> 1.0.0
* Tue Jun 26 2001 - ro@suse.de
- added kdelibs for artsd needed by sdl
* Tue Apr 10 2001 - uli@suse.de
- update -> 0.9.13
* Sat Apr 07 2001 - kukuk@suse.de
- Don't optimize for build host
* Fri Apr 06 2001 - uli@suse.de
- initial package
